Subject: bug#36861: 27.0.50; display-fill-column-indicator-mode in log-edit-mode

From: Ergus <[email-masked]>
Date: Tue, 06 Aug 2019 21:25:00 +0200

We can do that... I was just trying to avoid using ?| by default in any case. 

There is also the case when a user sets ?| by default and then call the function. If the check we add is just comparing to the default value then ?| will be always overwritten so an extra internal variable will be needed to cache where the ?| comes from. But OK, if this use case seems to be general enough I can make this changes. BTW. Have you seen my comments about the display engine in the other issue?
Best,
Ergus

On August 6, 2019 8:26:22 PM GMT+02:00, Eli Zaretskii <[email-masked]> wrote:
>> Date: Tue, 6 Aug 2019 19:51:46 +0200
>> From: Ergus <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> 
>> >I don't think I understand the problem.  Why doesn't just setting
>the
>> >characters and the mode variable work as expected?  AFAIU, one needs
>> >to call the mode function only if one wants Emacs to deduce the
>> >indicator character automatically.
>> 
>> Hi:
>> 
>> It should work as you say. But the default value for
>> display-fill-column-indicator-character is nil until the mode
>function
>> is executed (at least once).
>> 
>> I think that what they want is
>display-fill-column-indicator-character
>> to be non-nil without initialization; which we cannot set without
>some
>> checks.
>
>Why can't we set display-fill-column-indicator-character to ?| by
>default?  Invoking the mode function will still do its job, but at
>least people who want to just set the variable will have a functional
>feature.  Am I missing something?

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.